Partially update a cloud provider resource
PATCH
/v1/cloudproviderresource/{id}/
const url = 'https://example.com/v1/cloudproviderresource/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"monitor_enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/cloudproviderresource/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "monitor_enabled": true }'Update one or more fields of an existing cloud provider resource.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this cloud provider resource.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
agent
string format: uuid
cloud_provider_integration
string format: uuid
display_name
string
region
string
resource_type
0- Resource listing1- AWS EC22- AWS RDS3- AWS ELB4- AWS S35- AWS DynamoDB6- AWS Trusted Advisor7- AWS Lambda100- AWS Account101- Azure VM102- Azure sql103- Azure Cosmos DB104- Azure Load Balancer105- Azure Blob Storage106- Azure Account Advisor107- Azure Application Function108- Azure Account
integer
monitor_enabled
boolean
monitored_by_tag
boolean
cloud_created_at
string format: date-time
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
agent
string format: uuid
cloud_provider_integration
string format: uuid
display_name
string
region
string
resource_type
0- Resource listing1- AWS EC22- AWS RDS3- AWS ELB4- AWS S35- AWS DynamoDB6- AWS Trusted Advisor7- AWS Lambda100- AWS Account101- Azure VM102- Azure sql103- Azure Cosmos DB104- Azure Load Balancer105- Azure Blob Storage106- Azure Account Advisor107- Azure Application Function108- Azure Account
integer
monitor_enabled
boolean
monitored_by_tag
boolean
cloud_created_at
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
agent
required
string format: uuid
cloud_provider_integration
required
string format: uuid
display_name
required
string
region
required
string
resource_type
required
0- Resource listing1- AWS EC22- AWS RDS3- AWS ELB4- AWS S35- AWS DynamoDB6- AWS Trusted Advisor7- AWS Lambda100- AWS Account101- Azure VM102- Azure sql103- Azure Cosmos DB104- Azure Load Balancer105- Azure Blob Storage106- Azure Account Advisor107- Azure Application Function108- Azure Account
integer
monitor_enabled
boolean
monitored_by_tag
required
boolean
cloud_created_at
required
string format: date-time
Example
{ "resource_type": 0}